Bug 1572234 - [abrt] libgnomekbd: get_preferred_height_for_width(): gkbd-keyboard-display killed by SIGSEGV
Summary: [abrt] libgnomekbd: get_preferred_height_for_width(): gkbd-keyboard-display k...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomekbd
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f44ff98993289abf2a986358dd3...
: 1575204 1575783 1585702 1590027 1594538 1595998 1598965 1599437 1599636 1602050 1607670 1609088 1615828 1616113 1619352 1626761 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 13:24 UTC by Markus Linnala
Modified: 2019-05-28 22:37 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:37:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.94 KB, text/plain)
2018-04-26 13:24 UTC, Markus Linnala
no flags Details
File: cgroup (399 bytes, text/plain)
2018-04-26 13:24 UTC, Markus Linnala
no flags Details
File: core_backtrace (17.78 KB, text/plain)
2018-04-26 13:24 UTC, Markus Linnala
no flags Details
File: cpuinfo (1.08 KB, text/plain)
2018-04-26 13:24 UTC, Markus Linnala
no flags Details
File: dso_list (8.12 KB, text/plain)
2018-04-26 13:24 UTC, Markus Linnala
no flags Details
File: environ (6.04 KB, text/plain)
2018-04-26 13:24 UTC, Markus Linnala
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-26 13:25 UTC, Markus Linnala
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-26 13:25 UTC, Markus Linnala
no flags Details
File: maps (45.53 KB, text/plain)
2018-04-26 13:25 UTC, Markus Linnala
no flags Details
File: mountinfo (4.73 KB, text/plain)
2018-04-26 13:25 UTC, Markus Linnala
no flags Details
File: open_fds (808 bytes, text/plain)
2018-04-26 13:25 UTC, Markus Linnala
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-04-26 13:25 UTC, Markus Linnala
no flags Details

Description Markus Linnala 2018-04-26 13:24:43 UTC
Description of problem:
Just run with -l us,intl. Running -l us does not crash. Running -l intl does crash.

Version-Release number of selected component:
libgnomekbd-3.26.0-4.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l us,intl
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=4d0813f3c1a64449bb75a59e0cc1303b;i=786397;b=d9f2f86f7222413597b716e4b92a8717;m=79daba8f86;t=56ac01767119c;x=f4de891600e207b1
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1972

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_preferred_height_for_width at gkbd-keyboard-drawing.c:2145
 #1 gtk_widget_query_size_for_orientation at gtksizerequest.c:246
 #2 gtk_widget_compute_size_for_orientation at gtksizerequest.c:399
 #3 gtk_widget_get_preferred_height_for_width at gtksizerequest.c:601
 #4 gtk_box_compute_size_for_orientation at gtkbox.c:1981
 #5 gtk_box_get_content_size at gtkbox.c:2074
 #6 gtk_css_custom_gadget_get_preferred_size at gtkcsscustomgadget.c:124
 #7 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:675
 #8 gtk_box_get_preferred_height_and_baseline_for_width at gtkbox.c:2041
 #9 gtk_widget_query_size_for_orientation at gtksizerequest.c:242

Potential duplicate: bug 1500721

Comment 1 Markus Linnala 2018-04-26 13:24:51 UTC
Created attachment 1427224 [details]
File: backtrace

Comment 2 Markus Linnala 2018-04-26 13:24:52 UTC
Created attachment 1427225 [details]
File: cgroup

Comment 3 Markus Linnala 2018-04-26 13:24:54 UTC
Created attachment 1427226 [details]
File: core_backtrace

Comment 4 Markus Linnala 2018-04-26 13:24:55 UTC
Created attachment 1427227 [details]
File: cpuinfo

Comment 5 Markus Linnala 2018-04-26 13:24:57 UTC
Created attachment 1427228 [details]
File: dso_list

Comment 6 Markus Linnala 2018-04-26 13:24:59 UTC
Created attachment 1427229 [details]
File: environ

Comment 7 Markus Linnala 2018-04-26 13:25:00 UTC
Created attachment 1427230 [details]
File: exploitable

Comment 8 Markus Linnala 2018-04-26 13:25:01 UTC
Created attachment 1427231 [details]
File: limits

Comment 9 Markus Linnala 2018-04-26 13:25:04 UTC
Created attachment 1427232 [details]
File: maps

Comment 10 Markus Linnala 2018-04-26 13:25:05 UTC
Created attachment 1427233 [details]
File: mountinfo

Comment 11 Markus Linnala 2018-04-26 13:25:07 UTC
Created attachment 1427234 [details]
File: open_fds

Comment 12 Markus Linnala 2018-04-26 13:25:09 UTC
Created attachment 1427235 [details]
File: proc_pid_status

Comment 13 jun 2018-05-05 05:26:50 UTC
*** Bug 1575204 has been marked as a duplicate of this bug. ***

Comment 14 Shigehiro Hattori 2018-05-07 23:47:53 UTC
*** Bug 1575783 has been marked as a duplicate of this bug. ***

Comment 15 Pradeep Kumar 2018-06-04 13:11:36 UTC
*** Bug 1585702 has been marked as a duplicate of this bug. ***

Comment 16 Beto Hydroxy Butyrate 2018-06-11 22:34:52 UTC
*** Bug 1590027 has been marked as a duplicate of this bug. ***

Comment 17 Filipp Chekhov 2018-06-16 05:06:03 UTC
Similar problem has been detected:

libgnomekbd crashes on any m17n-input source keyboard layout preview request. This particular case:

1. Add any m17n Nepali input source
2. Select it in the Input Sources list
3. Click on the 'Show Keyboard Layout' (the keyboard icon in the bottom right corner)

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l default[lv3:ralt_switch]
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=3caf0b7f83c74091955fac4f73bb185b;i=13447d;b=f8bb559141f948af9bf2def45e857486;m=27df7d836;t=56ebb304264a4;x=2beceabfd863f47c
kernel:         4.16.15-300.fc28.x86_64
package:        libgnomekbd-3.26.0-5.fc28
reason:         gkbd-keyboard-display killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Pablo Alvarado 2018-06-24 03:41:39 UTC
*** Bug 1594538 has been marked as a duplicate of this bug. ***

Comment 19 XZ 2018-06-28 02:16:41 UTC
*** Bug 1595998 has been marked as a duplicate of this bug. ***

Comment 20 Stéphane FEUGA 2018-07-07 10:32:32 UTC
*** Bug 1598965 has been marked as a duplicate of this bug. ***

Comment 21 Peter 2018-07-09 19:50:14 UTC
*** Bug 1599437 has been marked as a duplicate of this bug. ***

Comment 22 Matthias Andree 2018-07-10 09:09:01 UTC
*** Bug 1599636 has been marked as a duplicate of this bug. ***

Comment 23 Thai Le 2018-07-17 17:07:13 UTC
*** Bug 1602050 has been marked as a duplicate of this bug. ***

Comment 24 Kenichi Kubota 2018-07-24 01:24:54 UTC
*** Bug 1607670 has been marked as a duplicate of this bug. ***

Comment 25 张鹏起 2018-07-27 01:26:49 UTC
*** Bug 1609088 has been marked as a duplicate of this bug. ***

Comment 26 OrangeHanamaru 2018-08-14 10:37:55 UTC
*** Bug 1615828 has been marked as a duplicate of this bug. ***

Comment 27 Mykel Scappin 2018-08-15 00:00:08 UTC
*** Bug 1616113 has been marked as a duplicate of this bug. ***

Comment 28 Kyriakos Fytrakis 2018-08-20 15:10:32 UTC
*** Bug 1619352 has been marked as a duplicate of this bug. ***

Comment 29 shilov.lee 2018-09-08 09:53:20 UTC
*** Bug 1626761 has been marked as a duplicate of this bug. ***

Comment 30 Peter 2018-09-10 04:58:25 UTC
Similar problem has been detected:

I selected the emoci typing booster in the top right of the screen and selected then there the option "display keyboard layout".

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        gkbd-keyboard-display -l default
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=46832f788cf34a11aa66e66ccad1d9d5;i=1552;b=4f0fc9250b5d49d48be2a6ea66675163;m=de75fb0a;t=5757d14cc627f;x=cae89eb3d1f88d9e
kernel:         4.17.19-200.fc28.x86_64
package:        libgnomekbd-3.26.0-5.fc28
reason:         gkbd-keyboard-display killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 31 Ben Cotton 2019-05-02 20:49:28 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 32 Ben Cotton 2019-05-28 22:37:01 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.